<html xmlns:th="http://www.w3.org/1999/xhtml">
<head> <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script></head>
<body>
<table>
    <th:block th:each="user : ${users}">
        <tr>
            <td th:text="${user.name}">...</td>
            <td th:text="${user.email}">...</td>
            <td th:text="${user.role}">...</td>
        </tr>
    </th:block>
</table>
</body>
</html>